Zorin OS 15 Beta Feedback

Re: Zorin OS 15 Beta Feedback

Postby tambler » Wed Jul 17, 2019 2:39 am

There seems to be a problem with cryptsetup which I noticed in the first beta of Zorin 15. It is still unresolved and every time I run sudo apt-get update I get the following notification:

The following packages were automatically installed and are no longer required:
cryptsetup cryptsetup-bin dmeventd libchromaprint-tools libcpuid14
libdevmapper-event1.02.1 libjavascriptcoregtk-1.0-0 libjs-sphinxdoc
libjs-underscore libllvm7 libllvm7:i386 liblvm2app2.2 liblvm2cmd2.02
libmypaint libqt4-dbus libqt4-declarative libqt4-designer libqt4-help
libqt4-network libqt4-script libqt4-scripttools libqt4-sql libqt4-sql-mysql
libqt4-svg libqt4-test libqt4-xml libqt4-xmlpatterns libqtassistantclient4
libqtcore4 libqtdbus4 libqtgui4 libreadline5 libwebkitgtk-1.0-0 lvm2
mypaint-brushes pastebinit python-acoustid python-audioread python-cairo
python-certifi python-chardet python-gobject-2 python-gst-1.0 python-gtk2
python-levenshtein python-mutagen python-mysqldb python-pkg-resources
python-pymad python-pyparsing python-qt4 python-requests python-sip qdbus
qt-at-spi qtchooser qtcore4-l10n
Use 'sudo apt autoremove' to remove them.

If I run autoremove it removes cryptsetup and I can then no longer boot into the latest kernel update. Has anyone else experienced this problem or indeed found a solution?
Machine for Zorin 15: Fujitsu Esprimo P700 Intel(R) Pentium(R) CPU G6 8GB RAM
User avatar
tambler
 
Posts: 11
Joined: Wed Jan 11, 2017 4:11 pm

Re: Zorin OS 15 Beta Feedback

Postby Swarfendor437 » Sat Jul 20, 2019 11:50 am

tambler wrote:There seems to be a problem with cryptsetup which I noticed in the first beta of Zorin 15. It is still unresolved and every time I run sudo apt-get update I get the following notification:

The following packages were automatically installed and are no longer required:
cryptsetup cryptsetup-bin dmeventd libchromaprint-tools libcpuid14
libdevmapper-event1.02.1 libjavascriptcoregtk-1.0-0 libjs-sphinxdoc
libjs-underscore libllvm7 libllvm7:i386 liblvm2app2.2 liblvm2cmd2.02
libmypaint libqt4-dbus libqt4-declarative libqt4-designer libqt4-help
libqt4-network libqt4-script libqt4-scripttools libqt4-sql libqt4-sql-mysql
libqt4-svg libqt4-test libqt4-xml libqt4-xmlpatterns libqtassistantclient4
libqtcore4 libqtdbus4 libqtgui4 libreadline5 libwebkitgtk-1.0-0 lvm2
mypaint-brushes pastebinit python-acoustid python-audioread python-cairo
python-certifi python-chardet python-gobject-2 python-gst-1.0 python-gtk2
python-levenshtein python-mutagen python-mysqldb python-pkg-resources
python-pymad python-pyparsing python-qt4 python-requests python-sip qdbus
qt-at-spi qtchooser qtcore4-l10n
Use 'sudo apt autoremove' to remove them.

If I run autoremove it removes cryptsetup and I can then no longer boot into the latest kernel update. Has anyone else experienced this problem or indeed found a solution?


I did a search for issues of cryptsetup and Ubuntu 18.04 - the only relevant article I could find has been removed but the description in my duckduckgo search found this below the deleted article link of Askubuntu:

"cryptsetup: WARNING: The initramfs image may not contain cryptsetup binaries nor crypto modules. If that's on purpose, you may want to uninstall the 'cryptsetup-initramfs' package in order to disable the cryptsetup initramfs integration and avoid this warning." Do so at YOUR OWN RISK as I never bother with data encryption. I store crucial bits on external devices and always do so whilst not online (internet).

If you use data encryption on your Operating System - whether it's Windows or GNU/Linux and you have serious system failure your data is gone forever. I've experienced this in Windows and seen the warnings when I installed Open SuSE 9.3 Professional (which cost me £70 about 10 years ago and people bemoaning €39 euros for Ultimate!)
https://vimeo.com/user15592214
https://trisquel.info/
https://www.opendesktop.org/member/257685/

Machine: ASUS X470-PRO, AMD Ryzen 7 1700X 8 Core, 16 Gb RAM, ZOTAC Geforce GT1030 (2 Gb)
User avatar
Swarfendor437
 
Posts: 9981
Joined: Wed Sep 18, 2013 5:51 pm

Re: Zorin OS 15 Beta Feedback

Postby tambler » Tue Jul 23, 2019 11:22 pm

Well I'm comfortable with 15 Core now so I will upgrade to Ultimate soon and install it without encryption. That said, this is not a problem I've encountered anywhere else and I've got a different Linux distro for each day of the week! SuSE 10 was the first distro I used when I put one foot out of the Redmond universe in 2005. I don't use it these days though as there are many more interesting distros available - everything from Arch to Z.....
Machine for Zorin 15: Fujitsu Esprimo P700 Intel(R) Pentium(R) CPU G6 8GB RAM
User avatar
tambler
 
Posts: 11
Joined: Wed Jan 11, 2017 4:11 pm

Re: Zorin OS 15 Beta Feedback

Postby leolimajc » Sat Jul 27, 2019 7:30 pm

My name is Leo and I'm Brazilian, so English is not my native language (sorry for the spelling mistakes that come up).
A very annoying bug that persists in Zorin 15 is linked to file management. When you save a .pdf file from the browser, a dialog opens where you will point to the directory where the file will be saved. But the dialog box does not support the 'space' command. By clicking on the 'space' the search box behaves by selecting and entering files that are in the current folder. It is a gross mistake that occurs in other distros with Gnome. Detail is that if you type the error slowly, the search box computes the command 'space'.
User avatar
leolimajc
 
Posts: 1
Joined: Fri Jul 12, 2019 11:07 pm
Previous

Return to Feedback

Who is online

Users browsing this forum: No registered users and 1 guest